{% load staticfiles %}
<!DOCTYPE html>
<html>
<style>

</style>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="description" content="PPW Project2 (Syuvira)">

        <title>{% block page_title %} syuvira2.0 {% endblock %}</title>

        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="{% static 'css/bootstrap.css' %}">

        <!-- Base CSS -->
        <link rel="stylesheet" type="text/css" href="{% static 'css/base.css' %}" />

        <!-- Fonts -->
        <link href="https://fonts.googleapis.com/css?family=Comfortaa" rel="stylesheet">

        <!-- Additional resources -->
        {% block page_resources %} {% endblock %}
 
    </head>
    <body style="background: linear-gradient(to bottom, #ffccff 0%, #cc00cc 100%);">
        <script>
            const startUpFunctions = [];
            const csrfToken = '{{csrf_token}}';
        </script>
        <header>
            {% include "profile/header.html" %}
        </header>
        <section class="container flex-grow mt-3">
            <div class="row">
                <div class="col-xs-12 col-sm-12 col-md-5 col-lg-4 mt-2">
                    {% block base_profile %}
                    {% include "profile/cards/brief_profile.html" %}
                    {% endblock %}
                </div>
                <div class="col-xs-12 col-sm-12 col-md-7 col-lg-8 mt-2">
                    {% block content %}
                    
                    {% endblock %}
                </div>
            </div>
        </section>
        <footer">
            <nav class="navbar navbar-light bg-light text-nowrap">
                <a class="navbar-brand text-truncate" href="#" style="text-align:center; width:100%;">&copy; syuvira2.0</a>
            </nav>
        </footer>
        <!-- JQuery -->
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>

        <!-- QUnit -->
        <link rel="stylesheet" href="https://code.jquery.com/qunit/qunit-2.4.1.css">
        <script src="https://code.jquery.com/qunit/qunit-2.4.1.js"></script>

        <!-- Bootstrap stuffs -->
        <script src="{% static 'js/bootstrap.bundle.js' %}" ></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.3/umd/popper.min.js" integrity="sha384-vFJXuSJphROIrBnz7yo7oB41mKfc8JzQZiCq4NCceLEaO4IHwicKwpJf9c9IpFgh" crossorigin="anonymous"></script>
        
        {% block javascript %} {% endblock %}
        

        <script>
        $(document).ready(() => {
            $('[data-toggle="popover"]').popover()
            for(var i = 0; i < startUpFunctions.length; i++) startUpFunctions[i]()
            console.log(startUpFunctions.length + ' start up function(s) executed!')
        })
        </script>

        <!-- JQuery is already loaded here -->
        {% block bottom_script %}{% endblock %}

    </body>
</html>